Package org.eclipse.emf.spi.cdo

## Class FSMUtil

- java.lang.Object
- - org.eclipse.emf.spi.cdo.FSMUtil

-     public final class FSMUtil
      extends java.lang.Object

  If the meaning of this type isn't clear, there really should be more of a description here...
  Since:
    4.0
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static InternalCDOObject` | `adapt​(java.lang.Object object, CDOView view)` |
    `static InternalCDOObject` | `adaptLegacy​(InternalEObject object)` |
    `static Adapter` | `getLegacyAdapter​(EList<Adapter> adapters)` |
    `static Adapter` | `getLegacyAdapter​(EObject object)` |
    `static boolean` | `isClean​(CDOObject object)` |
    `static boolean` | `isConflict​(CDOObject object)` |
    `static boolean` | `isInvalid​(CDOObject object)` |
    `static boolean` | `isNative​(EObject eObject)` |
    `static boolean` | `isNew​(CDOObject object)` |
    `static boolean` | `isTransient​(CDOObject object)` |
    `static java.util.Iterator<InternalCDOObject>` | `iterator​(java.util.Collection<?> instances, InternalCDOView view)` |
    `static java.util.Iterator<InternalCDOObject>` | `iterator​(java.util.Iterator<?> delegate, InternalCDOView view)` |
    `static java.lang.String` | `toString​(java.lang.Object object)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### isTransient

          public static boolean isTransient​(CDOObject object)

    - #### isInvalid

          public static boolean isInvalid​(CDOObject object)

    - #### isConflict

          public static boolean isConflict​(CDOObject object)

    - #### isNew

          public static boolean isNew​(CDOObject object)

    - #### isClean

          public static boolean isClean​(CDOObject object)

      Since:
        4.1

    - #### isNative

          public static boolean isNative​(EObject eObject)

    - #### adapt

          public static InternalCDOObject adapt​(java.lang.Object object,
                                                CDOView view)

    - #### adaptLegacy

          public static InternalCDOObject adaptLegacy​(InternalEObject object)

    - #### getLegacyAdapter

          public static Adapter getLegacyAdapter​(EObject object)

      Since:
        4.4

    - #### getLegacyAdapter

          public static Adapter getLegacyAdapter​(EList<Adapter> adapters)

      Since:
        4.4

    - #### iterator

          public static java.util.Iterator<InternalCDOObject> iterator​(java.util.Iterator<?> delegate,
                                                                       InternalCDOView view)

    - #### iterator

          public static java.util.Iterator<InternalCDOObject> iterator​(java.util.Collection<?> instances,
                                                                       InternalCDOView view)

    - #### toString

          public static java.lang.String toString​(java.lang.Object object)

      Since:
        4.3